summaryrefslogtreecommitdiffstats
path: root/libraries/gnet
diff options
context:
space:
mode:
author Menno E. Duursma <druiloor@zonnet.nl>2010-05-13 00:29:36 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:29:36 +0200
commit22e6bd784b5b6485e43723f55d3248a951e72988 (patch)
treee21d19616196e38f460de6ab44f7544e819e4467 /libraries/gnet
parent341f566beb870299b1353d5fe547f1df169c2287 (diff)
downloadslackbuilds-22e6bd784b5b6485e43723f55d3248a951e72988.tar.gz
slackbuilds-22e6bd784b5b6485e43723f55d3248a951e72988.tar.xz
libraries/gnet: Updated for version 2.0.8
Diffstat (limited to 'libraries/gnet')
-rw-r--r--libraries/gnet/README2
-rw-r--r--libraries/gnet/gnet.SlackBuild15
-rw-r--r--libraries/gnet/gnet.info2
3 files changed, 13 insertions, 6 deletions
diff --git a/libraries/gnet/README b/libraries/gnet/README
index ff0ca13cb9..1caa546546 100644
--- a/libraries/gnet/README
+++ b/libraries/gnet/README
@@ -16,5 +16,3 @@ GNet Features:
* SHA and MD5 hashes
* Base64 encoding and decoding
* SOCKS support
-
-The official IRC channel of the GNet projects is #gnet on irc.gnome.org
diff --git a/libraries/gnet/gnet.SlackBuild b/libraries/gnet/gnet.SlackBuild
index 091a5005ab..13e5e316d5 100644
--- a/libraries/gnet/gnet.SlackBuild
+++ b/libraries/gnet/gnet.SlackBuild
@@ -23,10 +23,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -49,8 +52,10 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--disable-static \
- --with-html-dir=/usr/doc/$PRGNAM-$VERSION
+ --with-html-dir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
# doc/README says to do the following ... errs on gtk-doc for me though
#make distcheck
@@ -58,16 +63,18 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . -type f | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
cp -a [A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION/html
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gnet/gnet.info b/libraries/gnet/gnet.info
index 30db6569c2..aac6462ac4 100644
--- a/libraries/gnet/gnet.info
+++ b/libraries/gnet/gnet.info
@@ -2,7 +2,9 @@ PRGNAM="gnet"
VERSION="2.0.8"
HOMEPAGE="http://www.gnetlibrary.org/"
DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnet/2.0/gnet-2.0.8.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="f42215834646f656a5ecb2f5376f66ac"
+MD5SUM_x86_64=""
MAINTAINER="Menno E. Duursma"
EMAIL="druiloor@zonnet.nl"
APPROVED="Erik Hanson" \ No newline at end of file